Bug 30173 - Error in iptables initscript
Summary: Error in iptables initscript
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: iptables (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-01 15:24 UTC by Gerald Teschl
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 08:20:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerald Teschl 2001-03-01 15:24:02 UTC
There is no function "save" in the iptables init script. Moreover I don't
think it is a
good idea to save the chains upon "stop". If you messed up your chains and
say "stop" to turn iptables off, your old working setup will be gone as
well. 

--- iptables.orig       Thu Mar  1 17:19:36 2001
+++ iptables    Thu Mar  1 17:19:56 2001
@@ -95,7 +95,6 @@
        ;;
 
   stop)
-       save
        stop
        ;;

Comment 1 Gerald Teschl 2001-03-01 15:25:00 UTC
Forgot to mention: iptables-1.2.0-9

Comment 2 Bernhard Rosenkraenzer 2001-03-02 08:20:09 UTC
Fixed in 1.2.0-10


Note You need to log in before you can comment on or make changes to this bug.